<?php
require_once "../../config/database.php";
include "../../assets/excelreader/excel_reader2.php";
// cek apakah tombol submit sudah ditekan atau belum
if (isset($_POST["submit"])) {

  // upload file xls
  $target = basename($_FILES['excel']['name']);
  move_uploaded_file($_FILES['excel']['tmp_name'], $target);

  // beri permisi agar file xls dapat di baca
  chmod($_FILES['excel']['name'], 0777);

  // mengambil isi file xls
  $data2 = new Spreadsheet_Excel_Reader($_FILES['excel']['name'], false);
  // menghitung jumlah baris data yang ada
  $jumlah_baris = $data2->rowcount($sheet_index = 0);

  // jumlah default data yang berhasil di import
  $berhasil = 0;
  for ($i = 2; $i <= $jumlah_baris; $i++) {

    $tanggal = $data2->val($i, 1);
    $kategori = $data2->val($i, 2);
    $deskripsi = $data2->val($i, 3);
    $jumlah = $data2->val($i, 4);

    if ($tanggal != "" && $kategori != "" && $deskripsi != "" && $jumlah != "") {
        // input data ke database
        $insert = mysqli_query($mysqli, "INSERT INTO tbl_transaksi (tanggal, kategori, deskripsi, pengeluaran) VALUES ('$tanggal', '$kategori', '$deskripsi', '$jumlah')")
        or die('Ada kesalahan pada query insert : ' . mysqli_error($mysqli));;
        
        // cek query
        // jika proses insert berhasil
        if ($insert) {
        // alihkan ke halaman pengeluaran dan tampilkan pesan berhasil simpan data
        header('location: ../../main.php?module=pengeluaran&pesan=1');
      }
      }
      // hapus kembali file .xls yang diupload tadi
      unlink($_FILES['excel']['name']);
  }
}